com.sun.star.uno

## Class WeakReference

- java.lang.Object
- - com.sun.star.uno.WeakReference

-     public class WeakReference
      extends Object

  This class holds weak reference to an object. It actually holds a reference to a com.sun.star.XAdapter implementation and obtains a hard reference if necessary.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WeakReference(Object obj)` Creates an instance of this class.
    `WeakReference(WeakReference obj)` Creates an instance of this class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `get()` Returns a hard reference to the object that is kept weak by this class.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WeakReference

          public WeakReference(WeakReference obj)

      Creates an instance of this class.
      Parameters:
        `obj` - - another instance that is to be copied

    - #### WeakReference

          public WeakReference(Object obj)

      Creates an instance of this class.
      Parameters:
        `obj` - XWeak implementation

  - ### Method Detail

    - #### get

          public Object get()

      Returns a hard reference to the object that is kept weak by this class.
      Returns:
        a hard reference to the XWeak implementation.